opensaml::saml2md::MetadataProvider::Criteria Struct Reference

Batches up criteria for entity lookup. More...

`#include <saml/saml2/metadata/MetadataProvider.h>`

Collaboration diagram for opensaml::saml2md::MetadataProvider::Criteria:
[legend]

## Public Member Functions

| Criteria ()
| Default constructor.
| Criteria (const XMLCh *id, const xmltooling::QName *q=0, const XMLCh *prot=0, bool valid=true)
| Constructor.
| Criteria (const char *id, const xmltooling::QName *q=0, const XMLCh *prot=0, bool valid=true)
| Constructor.
| Criteria (const SAMLArtifact *a, const xmltooling::QName *q=0, const XMLCh *prot=0, bool valid=true)
| Constructor.
virtual void | reset ()
| Restores the object to its default state.

## Public Attributes

const XMLCh * | entityID_unicode
| Unique ID of entity.
const char * | entityID_ascii
| Unique ID of entity.
const SAMLArtifact * | artifact
| SAML artifact.
const xmltooling::QName * | role
| Element or schema type QName of metadata role.
const XMLCh * | protocol
| Protocol support constant.
const XMLCh * | protocol2
| Backup protocol support constant.
bool | validOnly
| Controls whether stale metadata is ignored.

## Detailed Description

Batches up criteria for entity lookup.

## Constructor & Destructor Documentation

## Criteria() [1/3]

opensaml::saml2md::MetadataProvider::Criteria::Criteria | ( | const XMLCh * | id,
|  | const xmltooling::QName * | q = 0,
|  | const XMLCh * | prot = 0,
|  | bool | valid = true )

Constructor.

Parameters

  id | entityID to lookup
  q | element/type of role, if any
  prot | protocol support constant, if any
  valid | true iff stale metadata should be ignored

## Criteria() [2/3]

opensaml::saml2md::MetadataProvider::Criteria::Criteria | ( | const char * | id,
|  | const xmltooling::QName * | q = 0,
|  | const XMLCh * | prot = 0,
|  | bool | valid = true )

Constructor.

Parameters

  id | entityID to lookup
  q | element/type of role, if any
  prot | protocol support constant, if any
  valid | true iff stale metadata should be ignored

## Criteria() [3/3]

opensaml::saml2md::MetadataProvider::Criteria::Criteria | ( | const SAMLArtifact * | a,
|  | const xmltooling::QName * | q = 0,
|  | const XMLCh * | prot = 0,
|  | bool | valid = true )

Constructor.

Parameters

  a | artifact to lookup
  q | element/type of role, if any
  prot | protocol support constant, if any
  valid | true iff stale metadata should be ignored

The documentation for this struct was generated from the following file:

- saml/saml2/metadata/MetadataProvider.h